"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSampleFiles = void 0;
const core_1 = require("@takomo/core");
const util_1 = require("@takomo/util");
const path_1 = __importDefault(require("path"));
const vpcStackConfig = `# Takomo sample VPC stack configuration.
# The corresponding CloudFormation template can be found from templates/vpc.yml
regions: eu-west-1
parameters:
  CidrBlock: 10.0.0.0/24
`;
const vpcStackTemplate = `# Takomo sample VPC template
# The corresponding stack config file can be found from stacks/vpc.yml
Description: Takomo sample VPC
Parameters:
  CidrBlock:
    Type: String
    Description: VPC CIDR block
Resources:
  VPC:
    Type: AWS::EC2::VPC
    Properties:
      CidrBlock: !Ref CidrBlock
`;
exports.createSampleFiles = async (projectDir) => {
    const pathToStackConfig = path_1.default.join(projectDir, core_1.Constants.STACKS_DIR, "vpc.yml");
    const pathToStackTemplate = path_1.default.join(projectDir, core_1.Constants.TEMPLATES_DIR, "vpc.yml");
    await util_1.createFile(pathToStackConfig, vpcStackConfig);
    await util_1.createFile(pathToStackTemplate, vpcStackTemplate);
};
//# sourceMappingURL=samples.js.map